//
//  XKifController.h
//  Shogiban2
//
//  Created by KOYAMA Yoshiaki on Sun Aug 10 2003.
//  Copyright (c) 2003 KOYAMA Yoshiaki. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define MAX_WIDTH	16
#define MAX_HEIGHT	11

@class BoardCell;

@interface XKifController : NSObject {
    IBOutlet id _ykifController;
    
    BoardCell *_board[MAX_WIDTH][MAX_HEIGHT];
    BoardCell *_selectSource;
    BoardCell *_selectDestination;
    BoardCell *_placeSource;
    BoardCell *_placeDestination;
    NSString *_content;
    int _senteKomaKind;
    int _indexKif;
    NSString *_senteName;
    NSString *_goteName;
    NSString *_date;
}

- (void)initBoardController:(int)teaiwari;
- (void)contentOfData:(NSData *)data;
- (void)loadKif;
- (NSString *)pickUpStr:(NSString *)str :(int)num;
-(void)StepKif:(NSString *)kifStr;
- (int)convertNumber:(NSString *)str;
- (void)motigoma:(NSString *)str :(BoardCell *)cell;
- (void)printKif;
- (void)eraseSelectPlace;
- (NSString *)senteName;
- (NSString *)goteName;
- (void)setName;
- (NSString *)date;
- (NSString *)dividingName:(NSString *)str;

@end
